CVE-2014-2830

Current Description

Stack-based buffer overflow in cifskey.c or cifscreds.c in cifs-utils before 6.4, as used in pam_cifscreds, allows remote attackers to have unspecified impact via unknown vectors.

Basic Data

PublishedMarch 31, 2015
Last ModifiedJuly 01, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-119
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score10.0
SeverityHIGH
Exploitability Score10.0
Impact Score10.0
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationDebianCifs-utils********6.3

Vulnerable Software List

VendorProductVersions
Debian Cifs-utils *

References

NameSourceURLTags
http://advisories.mageia.org/MGASA-2014-0242.htmlhttp://advisories.mageia.org/MGASA-2014-0242.htmlCONFIRM
[oss-security] 20140411 Re: pam_cifscreds stack overflowhttp://seclists.org/oss-sec/2014/q2/96MLIST
MDVSA-2015:114http://www.mandriva.com/security/advisories?name=MDVSA-2015:114MANDRIVA
https://bugs.mageia.org/show_bug.cgi?id=13386https://bugs.mageia.org/show_bug.cgi?id=13386CONFIRM
https://bugzilla.novell.com/show_bug.cgi?id=870168https://bugzilla.novell.com/show_bug.cgi?id=870168CONFIRM
https://bugzilla.redhat.com/show_bug.cgi?id=1086224https://bugzilla.redhat.com/show_bug.cgi?id=1086224CONFIRM
[samba-technical] 20140711 ANNOUNCE: cifs-utils release 6.4 ready for downloadhttps://lists.samba.org/archive/samba-technical/2014-July/101132.htmlMLIST
GLSA-201612-08https://security.gentoo.org/glsa/201612-08GENTOO